using MassTransit;
using Microsoft.EntityFrameworkCore.ChangeTracking;
using Microsoft.EntityFrameworkCore.ValueGeneration;

namespace IRaCIS.Core.Infra.EFCore;

public class MySequentialGuidValueGenerator : ValueGenerator<Guid>
{
    public override Guid Next(EntityEntry entry)
    {
        return NewId.NextSequentialGuid();
    }
    public override bool GeneratesTemporaryValues => false;
}